Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

Retrieves the list of existing labware categories

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/labware-categories' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of existing labware categories

Bodyapplication/jsonArray [
idinteger(int32)

The database id

displayNamestring or null

The display name

namestring or null

The unique name

groupingstring or null

The grouping of category it belongs in

classificationstring or null

The classificaton it is part of. Possible values are: Empty, Unknown, Plate, SampleTube, TubeRack, Trough, TipRack, Carrier, MicroTubeRack, MicroTube, Container, Magnet, VirtualTubeRack, Assembly, Lid, LidCarrier

]
Response
application/json
[ { "id": 0, "displayName": "string", "name": "string", "grouping": "string", "classification": "string" } ]

Retrieves the list of labware categories related to the provided classification

Request

Retrieves all sub-categories which are linked to the classification. The currently supported classification types (not case sensitive) are: Empty, Unknown, Plate, SampleTube, TubeRack, Trough, TipRack, Carrier, MicroTubeRack, MicroTube, Container, Magnet, VirtualTubeRack, Assembly, Lid, and LidCarrier.

Security
Bearer
Path
classificationIdstringrequired

The labware classification type, acceptable values are Empty, Unknown, Plate, SampleTube, TubeRack, Trough, TipRack, Carrier, MicroTubeRack, MicroTube, Container, Magnet, VirtualTubeRack, Assembly, Lid, and LidCarrier.

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/labware-categories/classifications/{classificationId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of labware categories of the given classification

Bodyapplication/jsonArray [
idinteger(int32)

The database id

displayNamestring or null

The display name

namestring or null

The unique name

groupingstring or null

The grouping of category it belongs in

classificationstring or null

The classificaton it is part of. Possible values are: Empty, Unknown, Plate, SampleTube, TubeRack, Trough, TipRack, Carrier, MicroTubeRack, MicroTube, Container, Magnet, VirtualTubeRack, Assembly, Lid, LidCarrier

]
Response
application/json
[ { "id": 0, "displayName": "string", "name": "string", "grouping": "string", "classification": "string" } ]

Retrieves the list of labware categories related to the provided grouping

Request

Retrieves all sub-categories which are linked to the grouping. The set of supported groups can be acquired through GET /Group

Security
Bearer
Path
groupingstringrequired

The labware grouping type. The set of supported groups can be acquired through GET /Groups

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/labware-categories/groups/{grouping}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of labware categories of the given grouping

Bodyapplication/jsonArray [
idinteger(int32)

The database id

displayNamestring or null

The display name

namestring or null

The unique name

groupingstring or null

The grouping of category it belongs in

classificationstring or null

The classificaton it is part of. Possible values are: Empty, Unknown, Plate, SampleTube, TubeRack, Trough, TipRack, Carrier, MicroTubeRack, MicroTube, Container, Magnet, VirtualTubeRack, Assembly, Lid, LidCarrier

]
Response
application/json
[ { "id": 0, "displayName": "string", "name": "string", "grouping": "string", "classification": "string" } ]

Retrieves the list of labware categories groups

Request

Retrieves all labware categories groups

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/labware-categories/groups' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of labware category groups

Bodyapplication/jsonArray [
string
]
Response
application/json
[ "string" ]

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations